// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/HeatPumpFan.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace HeatPumpFan {

  /// <summary>Holder for reflection information generated from telemetry/HeatPumpFan.proto</summary>
  public static partial class HeatPumpFanReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/HeatPumpFan.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static HeatPumpFanReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Cht0ZWxlbWV0cnkvSGVhdFB1bXBGYW4ucHJvdG8SDWhlYXRfcHVtcF9mYW4a",
            "H2dvb2dsZS9wcm90b2J1Zi90aW1lc3RhbXAucHJvdG8iaQoLSGVhdFB1bXBG",
            "YW4SEwoGb3V0cHV0GAEgASgJSACIAQESFQoIZmVlZGJhY2sYAiABKAlIAYgB",
            "ARIWCg5mYW5faWRlbnRpZmllchgGIAEoCUIJCgdfb3V0cHV0QgsKCV9mZWVk",
            "YmFja0J3Chtjb20uY29kaWJseS5tb2RlbC50ZWxlbWV0cnlCEEhlYXRQdW1w",
            "RmFuUHJvdG/KAhtEb21haW5Nb2RlbFxQcm90b1xUZWxlbWV0cnniAidEb21h",
            "aW5Nb2RlbFxQcm90b1xUZWxlbWV0cnlcR1BCTWV0YWRhdGFiBnByb3RvMw=="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::HeatPumpFan.HeatPumpFan), global::HeatPumpFan.HeatPumpFan.Parser, new[]{ "Output", "Feedback", "FanIdentifier" }, new[]{ "Output", "Feedback" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class HeatPumpFan : pb::IMessage<HeatPumpFan>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<HeatPumpFan> _parser = new pb::MessageParser<HeatPumpFan>(() => new HeatPumpFan());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<HeatPumpFan> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::HeatPumpFan.HeatPumpFanReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpFan() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpFan(HeatPumpFan other) : this() {
      output_ = other.output_;
      feedback_ = other.feedback_;
      fanIdentifier_ = other.fanIdentifier_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPumpFan Clone() {
      return new HeatPumpFan(this);
    }

    /// <summary>Field number for the "output" field.</summary>
    public const int OutputFieldNumber = 1;
    private string output_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Output {
      get { return output_ ?? ""; }
      set {
        output_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "output" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasOutput {
      get { return output_ != null; }
    }
    /// <summary>Clears the value of the "output" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearOutput() {
      output_ = null;
    }

    /// <summary>Field number for the "feedback" field.</summary>
    public const int FeedbackFieldNumber = 2;
    private string feedback_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Feedback {
      get { return feedback_ ?? ""; }
      set {
        feedback_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "feedback" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFeedback {
      get { return feedback_ != null; }
    }
    /// <summary>Clears the value of the "feedback" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFeedback() {
      feedback_ = null;
    }

    /// <summary>Field number for the "fan_identifier" field.</summary>
    public const int FanIdentifierFieldNumber = 6;
    private string fanIdentifier_ = "";
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string FanIdentifier {
      get { return fanIdentifier_; }
      set {
        fanIdentifier_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as HeatPumpFan);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(HeatPumpFan other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (Output != other.Output) return false;
      if (Feedback != other.Feedback) return false;
      if (FanIdentifier != other.FanIdentifier) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasOutput) hash ^= Output.GetHashCode();
      if (HasFeedback) hash ^= Feedback.GetHashCode();
      if (FanIdentifier.Length != 0) hash ^= FanIdentifier.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasOutput) {
        output.WriteRawTag(10);
        output.WriteString(Output);
      }
      if (HasFeedback) {
        output.WriteRawTag(18);
        output.WriteString(Feedback);
      }
      if (FanIdentifier.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(FanIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasOutput) {
        output.WriteRawTag(10);
        output.WriteString(Output);
      }
      if (HasFeedback) {
        output.WriteRawTag(18);
        output.WriteString(Feedback);
      }
      if (FanIdentifier.Length != 0) {
        output.WriteRawTag(50);
        output.WriteString(FanIdentifier);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasOutput) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Output);
      }
      if (HasFeedback) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Feedback);
      }
      if (FanIdentifier.Length != 0) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(FanIdentifier);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(HeatPumpFan other) {
      if (other == null) {
        return;
      }
      if (other.HasOutput) {
        Output = other.Output;
      }
      if (other.HasFeedback) {
        Feedback = other.Feedback;
      }
      if (other.FanIdentifier.Length != 0) {
        FanIdentifier = other.FanIdentifier;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            Output = input.ReadString();
            break;
          }
          case 18: {
            Feedback = input.ReadString();
            break;
          }
          case 50: {
            FanIdentifier = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            Output = input.ReadString();
            break;
          }
          case 18: {
            Feedback = input.ReadString();
            break;
          }
          case 50: {
            FanIdentifier = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
